Registering protocols for media types
=====================================

http://msdn.microsoft.com/archive/default.asp?url=/archive/en-us/directx9_c/directx/htm/registeringacustomfiletype.asp

HKEY_CLASSES_ROOT
  <protocol>
     Extensions
         <.ext1> = <Source GUID>

Need to make installer do this for all extensions.

Registering Source Filters for file extensions...
=================================================

HKEY_CLASSES_ROOT
  Media Type
    Extensions
      <.ext1>
        "Source Filter"=<SourceGUID>

Mime Types
==========
Need to register mime types at install.

Media Player
============

Need to do all the registry keys to get the media types in the drop boxes of ds apps.

=========================================

The encoders don't properly fill out their format blocks... this is no
problem for the muxer, but if you try to chain an encoder to a decoder,
bad things will happen !

ADD 2004/07/23 - Now the flac encoder does, an the theora partially does.
----------------------------------------------------------------


*** IMPORANT *** 
HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\MediaPlayer\MLS\Extensions

This key must be done in code and add the two string values
ogv = video
oga = audio

in order for media player 9+ to integrate into library.
=====================================
This is where you register source filters

HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\MediaPlayer\Player\Extensions\Descriptions

Register to appear in media player drop list... three keys here.

HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\MediaPlayer\MLS\Extensions

Special support for media library.

HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Multimedia\WMPlayer\Extensions\.ogv

All sorts of crap for wmp 9 + and media library

HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Multimedia\WMPlayer\Groups\Video\OGV

grouping for media library

HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Multimedia\WMPlayer\MIME Types\video/x-ogg

MIME Types

